package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 违规记录对象 lab_violation_record
 * 
 * @author zd
 * @date 2021-12-14
 */
@ApiModel("违规记录")
public class LabViolationRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    @ApiModelProperty(value = "${comment}")
    private Long userId;
    /** 用户 */
    @Excel(name = "用户")
    @Length(message = "用户长度不能超过255")
    @ApiModelProperty(value = "用户")
    private String userName;
    /** 学号 */
    @Excel(name = "学号")
    @ApiModelProperty(value = "学号")
    private String stuNo;
    /** 所属学院 */
    @Excel(name = "所属学院")
    @Length(message = "所属学院长度不能超过255")
    @ApiModelProperty(value = "所属学院")
    private String belongCollege;
    /** 待学习,已学习，待考试，合格，不合格 */
    @Excel(name = "待学习,已学习，待考试，合格，不合格")
    @ApiModelProperty(value = "待学习,已学习，待考试，合格，不合格")
    private Integer status;
    /** 违规次数 */
    @Excel(name = "违规次数")
    @ApiModelProperty(value = "违规次数")
    private Integer violationNum;
    /** 负面清单次数 */
    @Excel(name = "负面清单次数")
    @ApiModelProperty(value = "负面清单次数")
    private Integer negativeListNum;
    /** 黑名单次数 */
    @Excel(name = "黑名单次数")
    @ApiModelProperty(value = "黑名单次数")
    private Integer blackListNum;
    /** 信用分 */
    @Excel(name = "信用分")
    @ApiModelProperty(value = "信用分")
    private Integer creditScore;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setUserName(String userName) 
    {
        this.userName = userName;
    }

    public String getUserName() 
    {
        return userName;
    }
    public void setStuNo(String stuNo) 
    {
        this.stuNo = stuNo;
    }

    public String getStuNo() 
    {
        return stuNo;
    }
    public void setBelongCollege(String belongCollege) 
    {
        this.belongCollege = belongCollege;
    }

    public String getBelongCollege() 
    {
        return belongCollege;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setViolationNum(Integer violationNum) 
    {
        this.violationNum = violationNum;
    }

    public Integer getViolationNum() 
    {
        return violationNum;
    }
    public void setNegativeListNum(Integer negativeListNum) 
    {
        this.negativeListNum = negativeListNum;
    }

    public Integer getNegativeListNum() 
    {
        return negativeListNum;
    }
    public void setBlackListNum(Integer blackListNum) 
    {
        this.blackListNum = blackListNum;
    }

    public Integer getBlackListNum() 
    {
        return blackListNum;
    }
    public void setCreditScore(Integer creditScore) 
    {
        this.creditScore = creditScore;
    }

    public Integer getCreditScore() 
    {
        return creditScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .append("stuNo", getStuNo())
            .append("belongCollege", getBelongCollege())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .append("violationNum", getViolationNum())
            .append("negativeListNum", getNegativeListNum())
            .append("blackListNum", getBlackListNum())
            .append("creditScore", getCreditScore())
            .toString();
    }
}
